| Method | URI | Description |
|---|---|---|
| GET | /v2.0/OS-KSCATALOG/endpointTemplates{?serviceId} | Lists endpoint templates. |
Normal response codes: 200, 203
Error response codes: identityFault (400, 500, …), badRequest (400), unauthorized (401), forbidden (403), badMethod (405), overLimit (413), serviceUnavailable (503), itemNotFound (404)
This table shows the header parameters for the list endpoint templates request:
| Name | Type | Description |
|---|---|---|
| String (Required) | A valid authentication token for an administrative user. |
This operation does not require a request body.
Example 4.43. List Endpoint Templates: XML response
<?xml version="1.0" encoding="UTF-8"?>
<endpointTemplates xmlns="http://docs.openstack.org/identity/api/ext/OS-KSCATALOG/v1.0">
<endpointTemplate
id="1"
region="North"
global="true"
type="compute"
name="Compute"
publicURL="https://compute.north.public.com/v1"
internalURL="https://compute.north.internal.com/v1"
enabled="true">
<version
id="1"
list="https://compute.north.public.com/"
info="https://compute.north.public.com/v1"/>
</endpointTemplate>
<endpointTemplate
id="2"
region="south"
type="compute"
name="Compute"
publicURL="https://service2.public.com/v1"
internalURL="https://service2.internal.public.com/v1"
enabled="false">
<version
id="1"
list="https://service1.public.com/"
info="https://service1.public.com/v1"/>
</endpointTemplate>
<endpointTemplate
id="3"
region="DFW"
global="true"
type="ext1:service1"
name="Compute"
publicURL="https://service1.public.com/v1"
enabled="true">
<version
id="1"
list="https://service1.public.com/"
info="https://service1.public.com/v1"/>
</endpointTemplate>
<endpointTemplate
id="4"
region="ORD"
type="compute"
name="Compute"
publicURL="https://service2.public.com/v1"
enabled="true">
<version
id="1"
list="https://service1.public.com/"
info="https://service1.public.com/v1"/>
</endpointTemplate>
<endpointTemplate
id="5"
global="true"
type="compute"
name="Compute"
publicURL="https://service3.public.com/v1">
<version
id="1"
list="https://service1.public.com/"
info="https://service1.public.com/v1"/>
</endpointTemplate>
</endpointTemplates>
Example 4.44. List Endpoint Templates: JSON response
{
"OS-KSCATALOG:endpointsTemplates": [
{
"id": 1,
"region": "North",
"global": true,
"type": "compute",
"publicURL": "https://compute.north.public.com/v1",
"internalURL": "https://compute.north.internal.com/v1",
"versionId": "1",
"versionInfo": "https://compute.north.public.com/v1/",
"versionList": "https://compute.north.public.com/",
"enabled": true
},
{
"id": 2,
"region": "South",
"type": "compute",
"publicURL": "https://compute.south.public.com/v1",
"internalURL": "https://compute.south.internal.com/v1",
"versionId": "1",
"versionInfo": "https://compute.south.public.com/v1/",
"versionList": "https://compute.south.public.com/",
"enabled": false
},
{
"id": 3,
"region": "North",
"global": true,
"type": "object-store",
"publicURL": "https://object-store.north.public.com/v1.0",
"versionId": "1.0",
"versionInfo": "https://object-store.north.public.com/v1.0/",
"versionList": "https://object-store.north.public.com/",
"enabled": true
},
{
"id": 4,
"region": "South",
"type": "object-store",
"publicURL": "https://object-store.south.public.com/v2",
"versionId": "2",
"versionInfo": "https://object-store.south.public.com/v2/",
"versionList": "https://object-store.south.public.com/",
"enabled": true
},
{
"id": 5,
"global": true,
"type": "OS-DNS:DNS",
"publicURL": "https://dns.public.com/v3.2",
"versionId": "1.0",
"versionInfo": "https://dns.public.com/v1.0/",
"versionList": "https://dns.public.com/",
"enabled": true
}
],
"OS-KSCATALOG:endpointsTemplates_links": []
}

